## senlin-dashboard 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
python-senlinclient>=0.3.0 # Apache-2.0
PyYAML>=3.1.0 # MIT

=== debian/changelog ===
senlin-dashboard (0.4.0-3+2~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 23:56:10 +0000

senlin-dashboard (0.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Oct 2016 09:42:28 +0200

senlin-dashboard (0.4.0-1) experimental; urgency=medium

  * Initial release. (Closes: #812964)

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Sep 2016 13:43:27 +0200

=== debian/control ===
Source: senlin-dashboard
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0~rc2),
                     python-babel (>= 2.3.4),
                     python-coverage,
                     python-django (>= 1.8),
                     python-django-compressor (>= 2.0),
                     python-django-nose (>= 1.4.4),
                     python-django-openstack-auth (>= 2.4.1),
                     python-iso8601 (>= 0.1.11),
                     python-mock (>= 2.0),
                     python-mox (>= 0.5.3),
                     python-mox3 (>= 0.7.0),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput (>= 0.0.3),
                     python-nosexcover,
                     python-openstack.nose-plugin (>= 0.7),
                     python-oslosphinx (>= 2.5.0),
                     python-selenium (>= 2.50.1),
                     python-senlinclient (>= 0.3.0),
                     python-unittest2,
                     python-xvfbwrapper,
                     python-yaml,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Git: https://git.openstack.org/openstack/deb-senlin-dashboard -b debian/newton
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-senlin-dashboard?h=debian%2Fnewton
Homepage: https://github.com/stackforge/senlin-dashboard

Package: python-senlin-dashboard
Architecture: all
Depends: openstack-dashboard (>= 3:10.0.0~rc2),
         python-babel (>= 2.3.4),
         python-django (>= 1.8),
         python-django-compressor (>= 2.0),
         python-django-openstack-auth (>= 2.4.1),
         python-iso8601 (>= 0.1.11),
         python-pbr (>= 1.8),
         python-senlinclient (>= 0.3.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: clustering service for OpenStack clouds - dashboard plugin
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogenous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package contains the OpenStack dashboard (aka Horizon) plugin.

## senlin-dashboard 0.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# Requirements for docs
django-nose>=1.4.4 # BSD
mock>=2.0.0 # BSD
mox3>=0.20.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
senlin-dashboard (0.9.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Michal Arbet ]
  * Redesign senlin-dashboard:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
  * d/copyright: Update copyright
  * d/control: Add me to uploaders field
  * d/control: Bump debhelper to 10
  * d/compat: Bump debhelper to 10
  * d/patches: Add install-missing-files.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 21:09:48 +0100

senlin-dashboard (0.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 22:37:47 +0200

senlin-dashboard (0.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Deprecating priority extra as per policy 4.0.1.

  [ Thomas Goirand ]
  * Using team+openstack@tracker.debian.org for maintainer.
  * New upstream release.
  * Switched to Python 3.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Jul 2018 13:55:47 +0200

=== debian/control ===
Source: senlin-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-babel,
 python3-coverage,
 python3-django (<< 2:2),
 python3-django-compressor (>= 1.4),
 python3-django-nose (>= 1.2),
 python3-iso8601,
 python3-mock,
 python3-mox3 (>= 0.20.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-senlinclient (>= 1.1.0),
 python3-sphinxcontrib.apidoc,
 python3-unittest2,
 python3-yaml,
 testrepository,
Standards-Version: 4.1.0
Homepage: https://github.com/stackforge/senlin-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/senlin-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/senlin-dashboard

Package: python3-senlin-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-babel,
 python3-django (<< 2:2),
 python3-django-compressor,
 python3-iso8601,
 python3-pbr (>= 2.0.0),
 python3-senlinclient (>= 1.1.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: clustering service for OpenStack clouds - dashboard plugin
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogenous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package contains the OpenStack dashboard (aka Horizon) plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Move policy file
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/conf/senlin_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/senlin_policy.json

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Remove config files and dirs from /usr/lib/python3/dist-packages/senlin_dashboard/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/conf
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=senlindash_board.test.settings \
		python3-coverage run \
		$(CURDIR)/manage.py test senlin_dashboard --settings=senlin_dashboard.test.settings
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## senlin-dashboard 0.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.12 # MIT

python-senlinclient>=1.9.0 # Apache-2.0

horizon>=15.0.0.0b1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# Requirements for docs
mock>=2.0.0 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
senlin-dashboard (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Add remove-broken-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Oct 2019 09:16:38 +0200

senlin-dashboard (0.10.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 22 Aug 2019 12:07:24 +0200

senlin-dashboard (0.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed package versions when satisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 12:48:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,23 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0~rc1),
+ openstack-dashboard (>= 3:16.0.0~),
  python3-babel,
  python3-coverage,
- python3-django (<< 2:2),
- python3-django-compressor (>= 1.4),
- python3-django-nose (>= 1.2),
+ python3-django,
+ python3-django-compressor,
  python3-iso8601,
  python3-mock,
- python3-mox3 (>= 0.20.0),
- python3-openstackdocstheme (>= 1.18.1),
- python3-senlinclient (>= 1.1.0),
+ python3-openstackdocstheme,
+ python3-senlinclient,
  python3-sphinxcontrib.apidoc,
  python3-unittest2,
  python3-yaml,
@@ -37,13 +35,13 @@
 Package: python3-senlin-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0~rc1),
+ openstack-dashboard (>= 3:16.0.0~),
  python3-babel,
- python3-django (<< 2:2),
+ python3-django,
  python3-django-compressor,
  python3-iso8601,
- python3-pbr (>= 2.0.0),
- python3-senlinclient (>= 1.1.0),
+ python3-pbr,
+ python3-senlinclient,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -27,15 +27,11 @@
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy
 
-	# Move policy file
-	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/conf/senlin_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/senlin_policy.json
+	# Copy policy file to openstack-dashboard policy location
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/conf/senlin_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/senlin_policy.json
 
-	# Move config enabled
-	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
-
-	# Remove config files and dirs from /usr/lib/python3/dist-packages/senlin_dashboard/
-	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/conf
-	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/enabled
+	# Copy config enabled to openstack-dashboard enabled location
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
 
 	dh_install
 	dh_missing --fail-missing

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/senlin-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## senlin-dashboard 1.0.0~rc2

=== requirements.txt ===
--- 
+++ 
@@ -7,4 +7,4 @@
 
 python-senlinclient>=1.9.0 # Apache-2.0
 
-horizon>=15.0.0.0b1 # Apache-2.0
+horizon>=17.1.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -7,8 +7,7 @@
 # be installed in a specific order.
 #
 # Requirements for docs
-mock>=2.0.0 # BSD
 openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
 sphinxcontrib-apidoc>=0.2.0  # BSD
+sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD

## senlin-dashboard 1.0.0

=== debian/changelog ===
senlin-dashboard (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 18:30:52 +0200

senlin-dashboard (1.0.0~rc2-1) unstable; urgency=medium

  * Move the package to the horizon-plugins subgroup on Salsa.
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Removed remove-broken-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 21:34:09 +0200

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,12 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:16.0.0~),
+ openstack-dashboard (>= 3:17.1.0),
  python3-babel,
  python3-coverage,
  python3-django,
  python3-django-compressor,
  python3-iso8601,
- python3-mock,
  python3-openstackdocstheme,
  python3-senlinclient,
  python3-sphinxcontrib.apidoc,
@@ -29,13 +28,13 @@
  testrepository,
 Standards-Version: 4.1.0
 Homepage: https://github.com/stackforge/senlin-dashboard
-Vcs-Git: https://salsa.debian.org/openstack-team/services/senlin-dashboard.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/senlin-dashboard
+Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/senlin-dashboard.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/senlin-dashboard
 
 Package: python3-senlin-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:16.0.0~),
+ openstack-dashboard (>= 3:17.1.0),
  python3-babel,
  python3-django,
  python3-django-compressor,

## senlin-dashboard 2.0.0

=== debian/changelog ===
senlin-dashboard (2.0.0-2) unstable; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 12:15:55 +0200

senlin-dashboard (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:51:21 +0200

senlin-dashboard (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2020 20:54:00 +0200

=== debian/control ===
--- 
+++ 
@@ -44,6 +44,8 @@
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python3-django-horizon (<< 3:18.6.2-4~),
 Description: clustering service for OpenStack clouds - dashboard plugin
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogenous objects exposed by other OpenStack services. The goal

=== debian/rules ===
--- 
+++ 
@@ -24,14 +24,14 @@
 	done
 
 	# Move config files to standard location
-	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy
 
 	# Copy policy file to openstack-dashboard policy location
 	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/conf/senlin_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/senlin_policy.json
 
 	# Copy config enabled to openstack-dashboard enabled location
-	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
 
 	dh_install
 	dh_missing --fail-missing

## senlin-dashboard 4.0.0

=== debian/changelog ===
senlin-dashboard (4.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 21:30:33 +0200

senlin-dashboard (4.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:56:26 +0200

senlin-dashboard (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 17:16:32 +0200

senlin-dashboard (3.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:33:55 +0200

senlin-dashboard (3.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 12:44:01 +0200

senlin-dashboard (3.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:38:19 +0200

senlin-dashboard (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 17:34:04 +0200

senlin-dashboard (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 21:14:58 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:17.1.0),
+ openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
  python3-babel,
  python3-coverage,
  python3-django,
@@ -34,7 +34,7 @@
 Package: python3-senlin-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:17.1.0),
+ openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
  python3-babel,
  python3-django,
  python3-django-compressor,
@@ -45,7 +45,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
- python3-django-horizon (<< 3:18.6.2-4~),
+ python3-django-horizon (<< 3:19.2.0-2~),
 Description: clustering service for OpenStack clouds - dashboard plugin
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogenous objects exposed by other OpenStack services. The goal

## senlin-dashboard 5.0.0

=== debian/changelog ===
senlin-dashboard (5.0.0-2) unstable; urgency=medium

  * Add Django 4 compat patches (Closes: #1015105):
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jul 2022 23:26:48 +0200

senlin-dashboard (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:28:28 +0200

senlin-dashboard (5.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add Fixed_Unit_test_for_senlin-dashboard.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:32:14 +0200

senlin-dashboard (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 21:26:14 +0100

## senlin-dashboard 6.0.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # be installed in a specific order.
 #
 # Requirements for docs
-openstackdocstheme>=1.18.1 # Apache-2.0
-reno>=2.5.0 # Apache-2.0
+openstackdocstheme>=2.2.1 # Apache-2.0
+reno>=3.1.0 # Apache-2.0
 sphinxcontrib-apidoc>=0.2.0  # BSD
-sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
+sphinx>=2.0.0,!=2.1.0 # BSD

=== debian/changelog ===
senlin-dashboard (6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:54:44 +0200

senlin-dashboard (6.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:39:25 +0200

senlin-dashboard (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed 3 patches applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 10:04:42 +0200

## senlin-dashboard 7.0.0

=== debian/changelog ===
senlin-dashboard (7.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048071).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 16:19:46 +0200

senlin-dashboard (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:46:35 +0200

senlin-dashboard (7.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:44:11 +0100

senlin-dashboard (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.
  * Removed obsolete Breaks: and Replaces: after Bookworm.
  * Bump Standards-Version.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 10:09:00 +0100

## senlin-dashboard 8.0.0

=== debian/changelog ===
senlin-dashboard (8.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090693).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:01:56 +0100

senlin-dashboard (8.0.0-2) unstable; urgency=medium

  * Removed extraneous python3-unittest2 build-dep (Closes: #1060632).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 09:33:27 +0100

senlin-dashboard (8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 12:26:01 +0200

senlin-dashboard (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 11:16:27 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard,
  python3-babel,
  python3-coverage,
  python3-django,
@@ -23,10 +23,9 @@
  python3-openstackdocstheme,
  python3-senlinclient,
  python3-sphinxcontrib.apidoc,
- python3-unittest2,
  python3-yaml,
  testrepository,
-Standards-Version: 4.1.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/stackforge/senlin-dashboard
 Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/senlin-dashboard.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/senlin-dashboard
@@ -34,7 +33,7 @@
 Package: python3-senlin-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard,
  python3-babel,
  python3-django,
  python3-django-compressor,
@@ -44,8 +43,6 @@
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- python3-django-horizon (<< 3:19.2.0-2~),
 Description: clustering service for OpenStack clouds - dashboard plugin
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogenous objects exposed by other OpenStack services. The goal

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,13 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
-
-override_dh_clean:
-	dh_clean
-	rm -rf .coverage*
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .coverage *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/senlin-dashboard/tags .*/(\d[brc\d\.]+)\.tar\.gz
